<div class="container p-3">
    <h5 class="text-right">
        <%= link_to "Cart", cart_index_path, method: :get%><i class="fas fa-shopping-cart"></i>
        <%= link_to "Your Orders", order_path(current_user), method: :get%>
    </h5>
    <div class="row">
    <% @products.each_with_index do |product, index| %>
        <p hidden id="product_id_<%= index %>"><%= product.id  %></p>
        <div class="col-sm-4 py-2">
            <div class="card">
                <div class="card-body">
                    <ul class="list-unstyled">
                        <% if product.images.attached? %>
                            <% product.images.each do |image| %>
                            <li>
                                <%= image_tag image, width:"200px", height:"300px", class:"card-img-top" %>  
                            </li>
                            <% end %>
                        <% end %>
                    </ul>
                    <hr>
                    <h5 class="card-title text-center" id="title_<%= index %>"><%= product.title %></h5>
                    <p class="card-text">
                    <div class="row">
                        <div class="col text-left">
                            <%= product.description  %>
                        </div>
                        <div class="col text-right">
                            <h5 id="price_<%= index %>"><%= product.price  %></h5>
                        </div>
                    </div>
                    </p>
                    <div class="row">
                        <div class="col text-left">
                            Quantity:
                            <input type="number" id="quantity_<%= index %>" value="1" min="1" max="<%= product.quantity %>" step="1">
                        </div>
                        <div class="col text-right">
                            <button class='addToCart btn btn-primary' >Add to Cart</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <% end %>
    </div>
</div>


<script>
    const addToCartBtn = document.getElementsByClassName('addToCart');
    let items = [];
    pid="product_id_";
    ptitle="title_";
    pprice="price_"
    qty="quantity_"
    for(let i=0; i<addToCartBtn.length; i++){
        addToCartBtn[i].addEventListener("click",function(e){
            if(typeof(Storage) !== 'undefined'){
                let item = {
                        product_id:parseInt(document.getElementById(pid + i).innerHTML),
                        title:document.getElementById(ptitle + i).innerHTML,
						quantity:parseInt(document.getElementById(qty + i).value),
                        price:parseInt(document.getElementById(pprice + i).innerHTML),
                        total:parseInt(document.getElementById(pprice + i).innerHTML)*parseInt(document.getElementById(qty + i).value)
				};
				if(JSON.parse(sessionStorage.getItem('items')) === null){
					items.push(item);
					sessionStorage.setItem("items",JSON.stringify(items));
					window.location.reload();
				}else{
					const sessionItems = JSON.parse(sessionStorage.getItem("items"));
					sessionItems.map(data=>{
						if(item.product_id == data.product_id){
							item.quantity = parseInt(document.getElementById(qty + i).value);
						}else{
							items.push(data);
						}
					});
					items.push(item);
					sessionStorage.setItem('items',JSON.stringify(items));
					window.location.reload();
				}
            }else{
                alert('session storage is not working on your browser');
            }
        });
    }
</script>